Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredPointsCollection Class Reference

`#include <vtkStructuredPointsCollection.h>`

Inheritance diagram for vtkStructuredPointsCollection:

[legend]
Collaboration diagram for vtkStructuredPointsCollection:

[legend]
List of all members.

## Detailed Description

maintain a list of structured points data objects

Date:
  2002/10/04 20:43:44

Revision:
  1.37

vtkStructuredPointsCollection is an object that creates and manipulates lists of structured points datasets. See also vtkCollection and subclasses.

Created by:
  - Hoffman, Bill
  - Schroeder, Will

CVS contributions (if > 5%):
  - Martin, Ken (38%)
  - Schroeder, Will (32%)
  - Hoffman, Bill (20%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkStructuredPointsCollection.h)`
  - .`cxx` (`/Filtering/vtkStructuredPointsCollection.cxx)`

Definition at line 47 of file vtkStructuredPointsCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | AddItem (vtkStructuredPoints *ds)
vtkStructuredPoints * | GetNextItem ()
## Static Public Methods
vtkStructuredPointsCollection * | New ()
int | IsTypeOf (const char *type)
vtkStructuredPointsCollection * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredPointsCollection ()
| ~vtkStructuredPointsCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkStructuredPointsCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 51 of file vtkStructuredPointsCollection.h.

## Constructor & Destructor Documentation

vtkStructuredPointsCollection::vtkStructuredPointsCollection | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkStructuredPointsCollection.h.

vtkStructuredPointsCollection::~vtkStructuredPointsCollection | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkStructuredPointsCollection.h.

## Member Function Documentation

vtkStructuredPointsCollection* vtkStructuredPointsCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkStructuredPointsCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkStructuredPointsCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkStructuredPointsCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkStructuredPointsCollection* vtkStructuredPointsCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

void vtkStructuredPointsCollection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkCollection.

void vtkStructuredPointsCollection::AddItem | ( | vtkStructuredPoints * | ds | ) | `[inline]`

| Add a pointer to a vtkStructuredPoints to the list. Definition at line 56 of file vtkStructuredPointsCollection.h. References vtkCollection::AddItem().

vtkStructuredPoints* vtkStructuredPointsCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next item in the collection. NULL is returned if the collection is exhausted. Definition at line 63 of file vtkStructuredPointsCollection.h. References vtkCollection::GetNextItemAsObject().

The documentation for this class was generated from the following file:

- Filtering/vtkStructuredPointsCollection.h